package de.duehl.swing.ui.elements.fontsize;

/*
 * Copyright 2017 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

public interface FontSizeInteraction {

    /** Setzt die aktuelle Schriftgröße. */
    void setFontSize(int fontSize);

    /** Ermittelt die aktuelle Schriftgröße. */
    int getFontSize();

    /** Erhöht die Schriftgröße. */
    void incrementFontSize();

    /** Verringert die Schriftgröße. */
    void decrementFontSize();

}
